/*
 * Copyright 2016 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.uberfire.ext.security.management.client.widgets.management.explorer;

import com.google.gwtmockito.GwtMockitoTestRunner;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Mock;
import org.uberfire.ext.security.management.client.widgets.management.list.EntitiesList;

import static org.mockito.Mockito.*;

@RunWith(GwtMockitoTestRunner.class)
public class EntitiesExplorerTest {

    @Mock
    EntitiesList.View view;

    @Test
    public void enableClearButtonAfterSearchTest() {
        EntitiesExplorerViewImpl entitiesExplorerView = new EntitiesExplorerViewImpl();
        entitiesExplorerView.configure("",
                                       view);

        verify(entitiesExplorerView.clearSearchButton,
               times(1)).setEnabled(false);
        verify(entitiesExplorerView.clearSearchButton,
               never()).setEnabled(true);

        reset(entitiesExplorerView.clearSearchButton);

        entitiesExplorerView.doSearch("admin");

        verify(entitiesExplorerView.clearSearchButton,
               never()).setEnabled(false);
        verify(entitiesExplorerView.clearSearchButton,
               times(1)).setEnabled(true);

        reset(entitiesExplorerView.clearSearchButton);

        entitiesExplorerView.clearSearch();

        verify(entitiesExplorerView.clearSearchButton,
               times(1)).setEnabled(false);
        verify(entitiesExplorerView.clearSearchButton,
               never()).setEnabled(true);
    }
}
